<?php
/**
 * Social Icons Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'trainify_framework_breadcrumbs_section', 
    array(
        'title' => esc_html__('Breadcrumbs', 'trainify'),
        'panel' => 'site_additional_sections',
        'priority' => 30,
    )
);

/**
 * Breadcrumbs Layout
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'trainify_framework_breadcrumbs_layout', 
    array(
        'sanitize_callback' => 'esc_attr',
        'default' => 'layout1'
    )
);
$wp_customize->add_control(
    new TrainifyFramework_Customize_Switch_Control(
        $wp_customize, 
        'trainify_framework_breadcrumbs_layout', 
        array(
            'label' => esc_html__('Breadcrumbs Layout', 'trainify'),
            'section' => 'trainify_framework_breadcrumbs_section',
            'priority' => 10,
            'type'=>'switch',
            'choices'=> array(
                'layout1'=> esc_html__('Layout One', 'trainify'),
                'layout2'=> esc_html__('Layout Two', 'trainify'),
            ),
            'description'=> esc_html__('You can choose breadcrumbs layout to show website.', 'trainify'),
        )
    )
);

/**
 * Breadcrumbs Background
 *
 * @since 1.0.0
 */
$wp_customize->add_setting(
    'trainify_framework_breadcrumbs_background', 
    array(
        'sanitize_callback' => 'esc_url',
        'default'           => ''
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'trainify_framework_breadcrumbs_background', 
        array(
            'type'      => 'image',
            'label'     => esc_html__('Breadcrumbs Background', 'trainify'),
            'section'   => 'trainify_framework_breadcrumbs_section',
            'priority'  => 20,
        )
    )
);

